module ExcelReports
  module VideoReports
    module NatGeoLegalBinderLogs
      class ProductionPersonnelLogSheet < Worksheet
        def title
          "Production Personnel Log"
        end

        def fill_content(sheet)
          sheet.add_row
          sheet.add_row
          sheet.add_row(table_headers)
          sheet.add_row(["Producer", "", "", ""])
          sheet.add_row(["Director", "", "", ""])
          sheet.add_row(["Writer", "", "", ""])
          sheet.add_row(["Editor", "", "", ""])
          sheet.add_row(["Assistant Producer", "", "", ""])
          sheet.add_row(["Production Manager", "", "", ""])
          sheet.add_row(["Camera", "", "", ""])
          sheet.add_row(["Audio", "", "", ""])
          sheet.add_row(["Local Coordinator/Location Manager", "", "", ""])
        end

        def format(sheet)
          sheet.column_widths *column_widths
        end

        def style(sheet)
          sheet.add_style "A3:D3", Styles::BOLD, Styles::FULLY_CENTERED, Styles::THIN_BLACK_BORDER
          sheet.add_style "A4:D12", Styles::FULLY_CENTERED, Styles::THIN_BLACK_BORDER, Styles::WRAP_TEXT
        end

        private

        def table_headers
          [
            "Title",
            "Name",
            "Company",
            "Contact Info (Address/Email/Phone)",
          ]
        end

        def column_widths
          [30, 30, 35, 35]
        end
      end
    end
  end
end
